---
references:
- id: Adragni2009Sufficient
  accessed:
    - year: 2018
      month: 3
      day: 19
  author:
    - family: Adragni
      given: Kofi P.
    - family: Cook
      given: R. Dennis
  citation-key: Adragni2009Sufficient
  container-title: >-
    Philosophical Transactions of the Royal Society of London A: Mathematical,
    Physical and Engineering Sciences
  DOI: 10.1098/rsta.2009.0110
  ISSN: 1364-503X, 1471-2962
  issue: '1906'
  issued:
    - year: 2009
      month: 11
      day: 13
  language: en
  page: 4385-4405
  PMID: '19805450'
  title: Sufficient dimension reduction and prediction in regression
  type: article-journal
  volume: '367'

- id: Bachem2015Coresets
  accessed:
    - year: 2019
      month: 1
      day: 14
  author:
    - family: Bachem
      given: Olivier
    - family: Lucic
      given: Mario
    - family: Krause
      given: Andreas
  citation-key: Bachem2015Coresets
  container-title: International Conference on Machine Learning
  event-title: International Conference on Machine Learning
  issued:
    - year: 2015
      month: 6
      day: 1
  language: en
  page: 209-217
  title: Coresets for Nonparametric Estimation - the Case of DP-Means
  type: paper-conference
  URL: http://proceedings.mlr.press/v37/bachem15.html

- id: Baez2011Renyi
  accessed:
    - year: 2017
      month: 11
      day: 26
  author:
    - family: Baez
      given: John C.
  citation-key: Baez2011Renyi
  issued:
    - year: 2011
      month: 2
      day: 10
  title: Renyi Entropy and Free Energy
  type: article-journal
  URL: https://arxiv.org/abs/1102.2098

- id: Barron1998Minimum
  author:
    - family: Barron
      given: A.
    - family: Rissanen
      given: J.
    - family: Yu
      given: Bin
  citation-key: Barron1998Minimum
  container-title: IEEE Transactions on Information Theory
  DOI: 10.1109/18.720554
  ISSN: 0018-9448
  issue: '6'
  issued:
    - year: 1998
      month: 10
  page: 2743-2760
  title: The minimum description length principle in coding and modeling
  type: article-journal
  volume: '44'

- id: Barron1999Consistency
  author:
    - family: Barron
      given: Andrew
    - family: Schervisch
      given: Mark J
    - family: Wasserman
      given: Larry
  citation-key: Barron1999Consistency
  container-title: The Annals of Statistics
  DOI: 10.1214/aos/1018031206
  issue: '2'
  issued:
    - year: 1999
  page: 536-561
  title: The Consistency of Posterior Distributions in Nonparametric Problems
  type: article-journal
  volume: '27'

- id: Blei2017Variational
  accessed:
    - year: 2017
      month: 8
      day: 22
  author:
    - family: Blei
      given: David M.
    - family: Kucukelbir
      given: Alp
    - family: McAuliffe
      given: Jon D.
  citation-key: Blei2017Variational
  container-title: Journal of the American Statistical Association
  container-title-short: Journal of the American Statistical Association
  DOI: 10.1080/01621459.2017.1285773
  ISSN: 0162-1459
  issue: '518'
  issued:
    - year: 2017
      month: 4
      day: 3
  page: 859-877
  title: 'Variational Inference: A Review for Statisticians'
  type: article-journal
  URL: http://arxiv.org/abs/1601.00670
  volume: '112'

- id: Broderick2013Streaming
  accessed:
    - year: 2019
      month: 1
      day: 18
  author:
    - family: Broderick
      given: Tamara
    - family: Boyd
      given: Nicholas
    - family: Wibisono
      given: Andre
    - family: Wilson
      given: Ashia C
    - family: Jordan
      given: Michael I
  citation-key: Broderick2013Streaming
  container-title: Advances in Neural Information Processing Systems 26
  editor:
    - family: Burges
      given: C. J. C.
    - family: Bottou
      given: L.
    - family: Welling
      given: M.
    - family: Ghahramani
      given: Z.
    - family: Weinberger
      given: K. Q.
  issued:
    - year: 2013
  page: 1727–1735
  publisher: Curran Associates, Inc.
  title: Streaming Variational Bayes
  type: paper-conference
  URL: http://papers.nips.cc/paper/4980-streaming-variational-bayes.pdf

- id: Cortes2016Structured
  author:
    - family: Cortes
      given: Corinna
    - family: Kuznetsov
      given: Vitaly
    - family: Mohri
      given: Mehryar
    - family: Yang
      given: Scott
  citation-key: Cortes2016Structured
  container-title: Advances in Neural Information Processing Systems 29
  editor:
    - family: Lee
      given: D. D.
    - family: Sugiyama
      given: M.
    - family: Luxburg
      given: U. V.
    - family: Guyon
      given: I.
    - family: Garnett
      given: R.
  issued:
    - year: 2016
  page: 2514–2522
  publisher: Curran Associates, Inc.
  title: Structured Prediction Theory Based on Factor Graph Complexity
  type: chapter
  URL: >-
    http://papers.nips.cc/paper/6485-structured-prediction-theory-based-on-factor-graph-complexity.pdf

- id: Cutajar2017Random
  author:
    - family: Cutajar
      given: Kurt
    - family: Bonilla
      given: Edwin V.
    - family: Michiardi
      given: Pietro
    - family: Filippone
      given: Maurizio
  citation-key: Cutajar2017Random
  container-title: PMLR
  event-title: International Conference on Machine Learning
  issued:
    - year: 2017
      month: 7
      day: 17
  title: Random Feature Expansions for Deep Gaussian Processes
  type: paper-conference
  URL: http://proceedings.mlr.press/v70/cutajar17a.html

- id: deCastro2019INFERNO
  accessed:
    - year: 2020
      month: 4
      day: 21
  author:
    - family: Castro
      given: Pablo
      non-dropping-particle: de
    - family: Dorigo
      given: Tommaso
  citation-key: deCastro2019INFERNO
  container-title: Computer Physics Communications
  container-title-short: Computer Physics Communications
  DOI: 10.1016/j.cpc.2019.06.007
  ISSN: '00104655'
  issued:
    - year: 2019
      month: 11
  page: 170-179
  title: 'INFERNO: Inference-Aware Neural Optimisation'
  type: article-journal
  URL: http://arxiv.org/abs/1806.04743
  volume: '244'

- id: Dezfouli2015Scalable
  accessed:
    - year: 2018
      month: 3
      day: 13
  author:
    - family: Dezfouli
      given: Amir
    - family: Bonilla
      given: Edwin V.
  citation-key: Dezfouli2015Scalable
  collection-title: NIPS'15
  container-title: Advances in Neural Information Processing Systems 28
  event-place: Cambridge, MA, USA
  issued:
    - year: 2015
  page: 1414–1422
  publisher: MIT Press
  publisher-place: Cambridge, MA, USA
  title: Scalable Inference for Gaussian Process Models with Black-box Likelihoods
  type: paper-conference
  URL: http://dl.acm.org/citation.cfm?id=2969239.2969397

- id: Dimitrakakis2013Bayesian
  accessed:
    - year: 2018
      month: 11
      day: 2
  author:
    - family: Dimitrakakis
      given: Christos
    - family: Nelson
      given: Blaine
    - family: Zhang
      given: and Zuhe
    - family: Mitrokotsa
      given: Aikaterini
    - family: Rubinstein
      given: Benjamin
  citation-key: Dimitrakakis2013Bayesian
  container-title: arXiv:1306.1066 [cs, stat]
  issued:
    - year: 2013
      month: 6
      day: 5
  title: Bayesian Differential Privacy through Posterior Sampling
  type: article-journal
  URL: http://arxiv.org/abs/1306.1066

- id: Edwards2017Neural
  accessed:
    - year: 2019
      month: 9
      day: 23
  author:
    - family: Edwards
      given: Harrison
    - family: Storkey
      given: Amos
  citation-key: Edwards2017Neural
  container-title: Proceedings of ICLR
  DOI: 10.48550/arXiv.1606.02185
  event-title: ICLR
  issued:
    - year: 2017
  language: en
  title: Towards a Neural Statistician
  type: paper-conference
  URL: https://arxiv.org/abs/1606.02185v2

- id: Gribonval2017Compressive
  accessed:
    - year: 2017
      month: 7
      day: 23
  author:
    - family: Gribonval
      given: Rémi
    - family: Blanchard
      given: Gilles
    - family: Keriven
      given: Nicolas
    - family: Traonmilin
      given: Yann
  citation-key: Gribonval2017Compressive
  container-title: arXiv:1706.07180 [cs, math, stat]
  issued:
    - year: 2017
      month: 6
      day: 22
  title: Compressive Statistical Learning with Random Feature Moments
  type: article-journal
  URL: http://arxiv.org/abs/1706.07180

- id: Grunwald2004Tutorial
  author:
    - family: Grünwald
      given: Peter D
  citation-key: Grunwald2004Tutorial
  container-title: 'Advances in Minimum Description Length: Theory and Applications'
  issued:
    - year: 2004
      month: 6
      day: 4
  page: 23-81
  title: A tutorial introduction to the minimum description length principle
  type: article-journal
  URL: http://arxiv.org/abs/math/0406077

- id: Hinton1993Keeping
  accessed:
    - year: 2018
      month: 4
      day: 13
  author:
    - family: Hinton
      given: Geoffrey E.
    - family: Camp
      given: Drew
      non-dropping-particle: van
  citation-key: Hinton1993Keeping
  collection-title: COLT '93
  container-title: Proceedings of the Sixth Annual Conference on Computational Learning Theory
  DOI: 10.1145/168304.168306
  event-place: New York, NY, USA
  ISBN: 978-0-89791-611-0
  issued:
    - year: 1993
  page: 5–13
  publisher: ACM
  publisher-place: New York, NY, USA
  title: >-
    Keeping the Neural Networks Simple by Minimizing the Description Length of
    the Weights
  type: paper-conference
  URL: >-
    http://svn.ucc.asn.au:8080/oxinabox/Uni%20Notes/honours/Background%20Reading/hinton1993keeping.pdf

- id: Honkela2004Variational
  author:
    - family: Honkela
      given: A.
    - family: Valpola
      given: H.
  citation-key: Honkela2004Variational
  container-title: IEEE Transactions on Neural Networks
  DOI: 10.1109/TNN.2004.828762
  ISSN: 1045-9227
  issue: '4'
  issued:
    - year: 2004
      month: 7
  page: 800-810
  title: >-
    Variational learning and bits-back coding: an information-theoretic view to
    Bayesian learning
  type: article-journal
  URL: http://research.cs.aalto.fi/bayes/papers/files/Honkela04TNN.pdf
  volume: '15'

- id: Hu2018VBNN
  author:
    - family: Hu
      given: Shell Xu
    - family: Moreno
      given: Pablo G
    - family: Lawrence
      given: Neil
    - family: Damianou
      given: Andreas
  citation-key: Hu2018VBNN
  issued:
    - year: 2018
  language: en
  page: '4'
  title: 'β-BNN: A Rate-Distortion Perspective on Bayesian Neural Networks'
  type: article-journal

- id: Huggins2017PASSGLM
  accessed:
    - year: 2019
      month: 1
      day: 18
  author:
    - family: Huggins
      given: Jonathan
    - family: Adams
      given: Ryan P
    - family: Broderick
      given: Tamara
  citation-key: Huggins2017PASSGLM
  container-title: Advances in Neural Information Processing Systems 30
  editor:
    - family: Guyon
      given: I.
    - family: Luxburg
      given: U. V.
    - family: Bengio
      given: S.
    - family: Wallach
      given: H.
    - family: Fergus
      given: R.
    - family: Vishwanathan
      given: S.
    - family: Garnett
      given: R.
  issued:
    - year: 2017
  page: 3611–3621
  publisher: Curran Associates, Inc.
  title: >-
    PASS-GLM: polynomial approximate sufficient statistics for scalable Bayesian
    GLM inference
  type: chapter
  URL: >-
    http://papers.nips.cc/paper/6952-pass-glm-polynomial-approximate-sufficient-statistics-for-scalable-bayesian-glm-inference.pdf

- id: Kandasamy2014Influence
  accessed:
    - year: 2015
      month: 1
      day: 20
  author:
    - family: Kandasamy
      given: Kirthevasan
    - family: Krishnamurthy
      given: Akshay
    - family: Poczos
      given: Barnabas
    - family: Wasserman
      given: Larry
    - family: Robins
      given: James M.
  citation-key: Kandasamy2014Influence
  container-title: arXiv:1411.4342 [stat]
  issued:
    - year: 2014
      month: 11
      day: 16
  title: >-
    Influence Functions for Machine Learning: Nonparametric Estimators for
    Entropies, Divergences and Mutual Informations
  type: article-journal
  URL: http://arxiv.org/abs/1411.4342

- id: Kullback1951Information
  author:
    - family: Kullback
      given: S
    - family: Leibler
      given: R A
  citation-key: Kullback1951Information
  container-title: The Annals of Mathematical Statistics
  issue: '1'
  issued:
    - year: 1951
  page: 79-86
  title: On Information and Sufficiency
  type: article-journal
  URL: http://www.jstor.org/stable/2236703
  volume: '22'

- id: MacKay2002Information
  author:
    - family: MacKay
      given: David J C
  citation-key: MacKay2002Information
  ISBN: 0-521-64298-1
  issued:
    - year: 2002
  publisher: Cambridge University Press
  title: Information Theory, Inference & Learning Algorithms
  type: book

- id: Mandelbrot1962Role
  accessed:
    - year: 2014
      month: 8
      day: 6
  author:
    - family: Mandelbrot
      given: Benoit
  citation-key: Mandelbrot1962Role
  container-title: The Annals of Mathematical Statistics
  container-title-short: Ann. Math. Statist.
  DOI: 10.1214/aoms/1177704470
  ISSN: 0003-4851, 2168-8990
  issue: '3'
  issued:
    - year: 1962
      month: 9
  language: EN
  page: 1021-1038
  title: The Role of Sufficiency and of Estimation in Thermodynamics
  type: article-journal
  volume: '33'

- id: Montanari2015Computational
  accessed:
    - year: 2018
      month: 4
      day: 15
  author:
    - family: Montanari
      given: Andrea
  citation-key: Montanari2015Computational
  container-title: Electronic Journal of Statistics
  container-title-short: Electron. J. Statist.
  DOI: 10.1214/15-EJS1059
  ISSN: 1935-7524
  issue: '2'
  issued:
    - year: 2015
  language: EN
  page: 2370-2390
  title: Computational implications of reducing data to sufficient statistics
  type: article-journal
  volume: '9'

- id: MorenoMunoz2019Continual
  accessed:
    - year: 2019
      month: 11
      day: 13
  author:
    - family: Moreno-Muñoz
      given: Pablo
    - family: Artés-Rodríguez
      given: Antonio
    - family: Álvarez
      given: Mauricio A.
  citation-key: MorenoMunoz2019Continual
  container-title: arXiv:1911.00002 [cs, stat]
  issued:
    - year: 2019
      month: 10
      day: 31
  title: Continual Multi-task Gaussian Processes
  type: article-journal
  URL: http://arxiv.org/abs/1911.00002

- id: Moshkovitz2017General
  accessed:
    - year: 2019
      month: 1
      day: 8
  author:
    - family: Moshkovitz
      given: Michal
    - family: Tishby
      given: Naftali
  citation-key: Moshkovitz2017General
  container-title: arXiv:1712.03524 [cs]
  issued:
    - year: 2017
      month: 12
      day: 10
  title: A General Memory-Bounded Learning Algorithm
  type: article-journal
  URL: http://arxiv.org/abs/1712.03524

- id: Moshkovitz2017Mixing
  accessed:
    - year: 2019
      month: 1
      day: 8
  author:
    - family: Moshkovitz
      given: Dana
    - family: Moshkovitz
      given: Michal
  citation-key: Moshkovitz2017Mixing
  container-title: Conference on Learning Theory
  event-title: Conference on Learning Theory
  issued:
    - year: 2017
      month: 6
      day: 18
  language: en
  page: 1516-1566
  title: Mixing Implies Lower Bounds for Space Bounded Learning
  type: paper-conference
  URL: http://proceedings.mlr.press/v65/moshkovitz17a.html

- id: Moshkovitz2017Mixinga
  accessed:
    - year: 2019
      month: 1
      day: 8
  author:
    - family: Moshkovitz
      given: Michal
    - family: Tishby
      given: Naftali
  citation-key: Moshkovitz2017Mixinga
  container-title: arXiv:1703.00729 [cs]
  issued:
    - year: 2017
      month: 3
      day: 2
  title: Mixing Complexity and its Applications to Neural Networks
  type: article-journal
  URL: http://arxiv.org/abs/1703.00729

- id: Rissanen1978Modeling
  accessed:
    - year: 2012
      month: 10
      day: 21
  author:
    - family: Rissanen
      given: J.
  citation-key: Rissanen1978Modeling
  container-title: Automatica
  container-title-short: Automatica
  DOI: 10.1016/0005-1098(78)90005-5
  ISSN: 0005-1098
  issue: '5'
  issued:
    - year: 1978
      month: 9
  page: 465-471
  title: Modeling by shortest data description
  type: article-journal
  volume: '14'

- id: Rissanen1984Universal
  author:
    - family: Rissanen
      given: J.
  citation-key: Rissanen1984Universal
  container-title: IEEE Transactions on Information Theory
  DOI: 10.1109/TIT.1984.1056936
  ISSN: 0018-9448
  issue: '4'
  issued:
    - year: 1984
      month: 7
  page: 629-636
  title: Universal coding, information, prediction, and estimation
  type: article-journal
  URL: http://philsci-archive.pitt.edu/12429/
  volume: '30'

- id: Rissanen2007Information
  author:
    - family: Rissanen
      given: Jorma
  call-number: QA276.A1 R57 2007
  citation-key: Rissanen2007Information
  collection-title: Information science and statistics
  event-place: New York
  ISBN: 978-0-387-68812-1
  issued:
    - year: 2007
  number-of-pages: '142'
  publisher: Springer
  publisher-place: New York
  title: Information and complexity in statistical modeling
  type: book
  URL: http://www.springer.com/mathematics/probability/book/978-0-387-36610-4

- id: Vitanyi2006Meaningful
  author:
    - family: Vitányi
      given: Paul M
  citation-key: Vitanyi2006Meaningful
  container-title: IEEE Transactions on Information Theory
  DOI: 10.1109/TIT.2006.881729
  issue: '10'
  issued:
    - year: 2006
  page: 4617-4626
  title: Meaningful information
  type: article-journal
  volume: '52'

- id: Wallace1990Classification
  accessed:
    - year: 2018
      month: 4
      day: 13
  author:
    - family: Wallace
      given: C. S.
  citation-key: Wallace1990Classification
  collection-title: Lecture Notes in Computer Science
  container-title: Advances in Computing and Information — ICCI '90
  DOI: 10.1007/3-540-53504-7_63
  event-title: International Conference on Computing and Information
  ISBN: 978-3-540-53504-1 978-3-540-46677-2
  issued:
    - year: 1990
      month: 5
      day: 23
  language: en
  page: 72-81
  publisher: Springer, Berlin, Heidelberg
  title: Classification by minimum-message-length inference
  type: paper-conference

- id: Wolpert2008Physical
  accessed:
    - year: 2014
      month: 8
      day: 10
  author:
    - family: Wolpert
      given: David H.
  citation-key: Wolpert2008Physical
  collection-title: 'Novel Computing Paradigms: Quo Vadis?'
  container-title: 'Physica D: Nonlinear Phenomena'
  container-title-short: 'Physica D: Nonlinear Phenomena'
  DOI: 10.1016/j.physd.2008.03.040
  ISSN: 0167-2789
  issue: '9'
  issued:
    - year: 2008
      month: 7
      day: 1
  page: 1257-1281
  title: Physical limits of inference
  type: article-journal
  URL: https://arxiv.org/abs/0708.1362
  volume: '237'
...
